<?php
require_once '../../debug/debug.php';
require_once '../../model/mysql/MysqlDeposit.php';

class Deposit {
	private $mDeposit;
	
	public function __construct() {
		$this->mDeposit = new MysqlDeposit();
	}
	
	public function add_deposit($name, $delivery_day, $opening_time) {
		$result = $this->mDeposit->add_deposit($name, $delivery_day, $opening_time);
		return $result;
	}
	
	public function get_delivery_day($id) {
		$result = $this->mDeposit->get_delivery_day($id);
		return $result;
	}
	
	public function get_deposit_by_id($id) {
		$result = $this->mDeposit->get_deposit_by_id($id);
		return $result;
	}
	
	public function get_hide($id) {
		$result = $this->mDeposit->get_hide($id);
		return $result;
	}
	
	/*
	 * this function return all days one month contains weekday
	 * exemple $weekday="Thursday" $month=2 $year=2019
	 * This used by hideDeposit
	 * */
	public function get_list_days_deposit($weekday, $month, $year) {
		$dateUnix = mktime(0, 0, 0, $month, 0, $year);
		$max = date("t", $dateUnix);
		$k=0;
		for ($i=1;$i<=$max;$i++) {
			$dateUnix = mktime(0, 0, 0, $month, $i, $year);
			$date = getdate($dateUnix);
			if ( $weekday == $date[weekday]) {
				$list_date[$k] = array("weekday"=>$date[weekday], "mday"=>$date[mday], "month"=>$date[month]);
				$k++;
			}
		}//end for
		return $list_date;
	}//end get_list_days_deposit
	
	public function get_list_deposit() {
		$list = $this->mDeposit->get_list_deposit();
		return $list;
	}
	
	public function set_hide($id, $bool) {
		$result = $this->mDeposit->set_hide($id, $bool);
		return $result;
	}
	
	public function update_deposit($id, $name, $delivery_day, $opening_time) {
		$result = $this->mDeposit->update_deposit($id, $name, $delivery_day, $opening_time);
		return $result;
	}
}//end class Deposit
?>
